[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSingleHelper.Exponent

Exponent of the floating-point value

## Declaration

Source position: syshelph.inc line 241

`public function TSingleHelper.Exponent: Integer;`

## Description

Exponent is the value X in the representation of the floating-point value in m*2^X, i.e. the exponent.

## See also

TSingleHelper.Sign |  | Sign of the floating point value
TSingleHelper.Exp |  | The bit pattern of the exponent as stored in memory.
TSingleHelper.Frac |  | Bitpattern that makes up the fractional part.
TSingleHelper.Fraction |  | Fraction of the floating-point value
TSingleHelper.Mantissa |  | Mantissa of the floating-point